Package com.avaya.clientservices.collaboration.librarysharing

## Interface LibraryDocument

-     public interface LibraryDocument

  Not supported in Client SDK.
  Interface that represents information about a document stored at a conferencing server library.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canModify()` | Not supported in Client SDK. Returns information that document could be modified.
    `int` | `getContentHeight()` | Not supported in Client SDK. Returns height of the document page in pixels.
    `int` | `getContentWidth()` | Not supported in Client SDK. Returns width of the document page in pixels.
    `java.util.Date` | `getCreationDate()` | Not supported in Client SDK. Returns document creation date.
    `java.util.Date` | `getDeletionDate()` | Not supported in Client SDK. Returns document deletion date.
    `java.lang.String` | `getId()` | Not supported in Client SDK. Returns document ID as provided by the library.
    `java.lang.String` | `getPage​(int index)` | Not supported in Client SDK. Returns page url from the specified index in document.
    `java.lang.String` | `getPageBaseUrl​(int index)` | Not supported in Client SDK. Returns page base url from the specified index in document.
    `java.lang.String` | `getPageFileName​(int index)` | Not supported in Client SDK. Returns page file name url from the specified index in document.
    `java.lang.String` | `getPagePreview​(int index)` | Not supported in Client SDK. Returns page preview url from the specified index in document.
    `java.lang.String` | `getPagePreviewFileName​(int index)` | Not supported in Client SDK. Returns page preview file name url from the specified index in document.
    `int` | `getPagesCount()` | Not supported in Client SDK. Returns number of pages in the document.
    `java.lang.String` | `getTitle()` | Not supported in Client SDK. Returns document title.
    `LibraryDocumentType` | `getType()` | Not supported in Client SDK. Returns type of the document.
    `java.lang.String` | `getUrl()` | Not supported in Client SDK. Returns document path on the library server.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Not supported in Client SDK.
      Returns document ID as provided by the library.
      Returns:
        document unique id

    - #### getTitle

          java.lang.String getTitle()

      Not supported in Client SDK.
      Returns document title.
      Returns:
        title string

    - #### getUrl

          java.lang.String getUrl()

      Not supported in Client SDK.
      Returns document path on the library server.
      Returns:
        url on server

    - #### getCreationDate

          java.util.Date getCreationDate()

      Not supported in Client SDK.
      Returns document creation date.
      Returns:
        creation date

    - #### getDeletionDate

          java.util.Date getDeletionDate()

      Not supported in Client SDK.
      Returns document deletion date.
      Returns:
        deletion date

    - #### getType

          LibraryDocumentType getType()

      Not supported in Client SDK.
      Returns type of the document.
      Returns:
        document type

    - #### getPagesCount

          int getPagesCount()

      Not supported in Client SDK.
      Returns number of pages in the document.
      Returns:
        number of pages

    - #### getContentWidth

          int getContentWidth()

      Not supported in Client SDK.
      Returns width of the document page in pixels.
      Returns:
        width of the document page

    - #### getContentHeight

          int getContentHeight()

      Not supported in Client SDK.
      Returns height of the document page in pixels.
      Returns:
        height of the document

    - #### canModify

          boolean canModify()

      Not supported in Client SDK.
      Returns information that document could be modified.
      Returns:
        true if document could be modified

    - #### getPage

          java.lang.String getPage​(int index)

      Not supported in Client SDK.
      Returns page url from the specified index in document.
      Parameters:
        `index` - page index
      Returns:
        page url

    - #### getPagePreview

          java.lang.String getPagePreview​(int index)

      Not supported in Client SDK.
      Returns page preview url from the specified index in document.
      Parameters:
        `index` - page index
      Returns:
        page preview url

    - #### getPageFileName

          java.lang.String getPageFileName​(int index)

      Not supported in Client SDK.
      Returns page file name url from the specified index in document.
      Parameters:
        `index` - page index
      Returns:
        page file name url

    - #### getPagePreviewFileName

          java.lang.String getPagePreviewFileName​(int index)

      Not supported in Client SDK.
      Returns page preview file name url from the specified index in document.
      Parameters:
        `index` - page index
      Returns:
        page preview file name url

    - #### getPageBaseUrl

          java.lang.String getPageBaseUrl​(int index)

      Not supported in Client SDK.
      Returns page base url from the specified index in document.
      Parameters:
        `index` - page index
      Returns:
        page base url